Std SelBoundingBox/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "Std: Ramka otaczająca")
 
(Created page with "{{Docnav/pl |Styl kreślenia |Widok stereo czerwony / cyjan |Menu Widok |IconL=Std_DrawStyle.svg |Ico...")
Line 1: Line 1:
<languages/>
<languages/>


{{Docnav
{{Docnav/pl
|[[Std_DrawStyle|DrawStyle]]
|[[Std_DrawStyle/pl|Styl kreślenia]]
|[[Std_ViewIvStereoRedGreen|ViewIvStereoRedGreen]]
|[[Std_ViewIvStereoRedGreen/pl|Widok stereo czerwony / cyjan]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu/pl|Menu Widok]]
|IconL=Std_DrawStyle.svg
|IconL=Std_DrawStyle.svg
|IconR=Std_ViewIvStereoRedGreen.svg
|IconR=Std_ViewIvStereoRedGreen.svg

Revision as of 05:34, 5 June 2022

Std SelBoundingBox

Menu location
View → Bounding box
Workbenches
All
Default shortcut
None
Introduced in version
0.19
See also
Std DrawStyle

Description

The Std SelBoundingBox command toggles the global bounding box highlighting mode. If this mode is switched on, selected objects are marked in a 3D view with a highlighted bounding box even if their WIDOKSelection Style is set to 'Shape'.

Usage

  1. There are several ways to invoke the command:
    • Press the Std SelBoundingBox button.
    • Select the View → Bounding box option from the menu.

Preferences

The related setting is stored: Tools → Edit parameters... → BaseApp → Preferences → View → ShowSelectionBoundingBox. It is a boolean value, the default is false.

Scripting

See also: FreeCAD Scripting Basics.

To change the ShowSelectionBoundingBox setting use the SetBool method of the appropriate ParameterGrp. The code sample does not work if FreeCAD is in console mode.

import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet('User parameter:BaseApp/Preferences/View')
if grp.GetBool('ShowSelectionBoundingBox'):
  grp.SetBool('ShowSelectionBoundingBox',False)
else:
  grp.SetBool('ShowSelectionBoundingBox',True)

FreeCADGui.updateCommands()